local sX, sY = guiGetScreenSize()
local file = "ly_login"

--exports["exBlur"]:createBlur("login", 10, 0, 0, sX, sY)
--local loginSound = playSound("sound.mp3")

addEventHandler( "onClientResourceStart", getResourceRootElement( ),
	function( )

		cameraTick = getTickCount( )
		activeCamera = math.random( 1, #cameraPosition )
		addEventHandler( "onClientPreRender", getRootElement( ), renderCamera )
		fadeCamera( true )

		loginPage = "http://mta/"..file.."/html/index.html"
		loginTexture = guiCreateBrowser(0, sY * 0.25, sX, sY, true, true, false)
		getLoginTexture = guiGetBrowser(loginTexture)

		addEventHandler( "onClientBrowserCreated", getLoginTexture, 
			function()

				loadBrowserURL( source, loginPage )
				showCursor( true )
				showChat( false )

			end
		)
	end
)

addEventHandler( "onClientResourceStop", getResourceRootElement( ),
	function( )

		if isElement( loginTexture ) then

			destroyElement( loginTexture )
			destroyElement( loginSound )

		end

	end
)

addEvent( "onLogin", true )
addEventHandler( "onLogin", getRootElement( ),
	function( )

		if isElement( loginTexture ) then

			destroyElement( loginTexture )

		end

		removeEventHandler( "onClientPreRender", getRootElement(), renderCamera )
		showCursor( false )
		showChat( true )
		destroyElement( loginSound )
		fadeCamera( true )

	end
)

addEvent( "loginPlayer", true )
addEventHandler( "loginPlayer", getRootElement( ),
	function( username, password )

		if ( username and password ) then

			if ( isTimer( clickTimer ) ) then

				return

			end

			playSound( "login.wav" )

			if ( string.len( username ) < 3 ) then

				showBox( 1, "O campo do nome de usuário não pode ser deixado em branco!" )

				clickTimer = setTimer( function( )

					clickTimer = nil

				end, 5000, 1 )

				return

			end

			if ( string.len( password ) < 3 ) then

				showBox( 1, "O campo da senha não pode ser deixado em branco!")

				clickTimer = setTimer( function( )

					clickTimer = nil

				end, 5000, 1 )

				return

			end	

			if ( string.find( username, " " ) ) then

				showBox( 1, "O campo do nome de usuário não pode conter espaçost!" )

				clickTimer = setTimer( function( )

					clickTimer = nil

				end, 5000, 1 )

				return

			end	

			triggerServerEvent( "loginPlayerS", localPlayer, localPlayer, username, password )

		end

	end
)

addEvent("registerPlayer", true)
addEventHandler("registerPlayer", getRootElement(),
	function(username, password, confirm, email)
		if (username and password and confirm and email) then
			if (isTimer(clickTimer)) then
				return
			end
			playSound("login.wav")
			if (string.len(username) < 3) then
				showBox(1, "O nome de usuário deve ter pelo menos 3 caracteres!")
				clickTimer = setTimer(function()
					clickTimer = nil
				end, 5000, 1)
				return
			end			
			if (string.len(password) < 3) then
				showBox(1, "A senha deve ter pelo menos 3 caracteres!")
				clickTimer = setTimer(function()
					clickTimer = nil
				end, 5000, 1)
				return
			end			
			if (string.len(confirm) < 3) then
				showBox(1, "A senha deve ter pelo menos 3 caracteres!")
				clickTimer = setTimer(function()
					clickTimer = nil
				end, 5000, 1)
				return
			end			
			if (confirm ~= confirm) then
				showBox(1, "As senhas não coincidem!")
				clickTimer = setTimer(function()
					clickTimer = nil
				end, 5000, 1)
				return
			end
			if (string.len(email) < 8) then
				showBox(1, "Os endereços de e-mail devem ter pelo menos 8 caracteres!")
				clickTimer = setTimer(function()
					clickTimer = nil
				end, 5000, 1)
				return
			end			
			if (string.find(username, " ")) then
				showBox(1, "O campo do nome de usuário não pode conter espaços!")
				clickTimer = setTimer(function()
					clickTimer = nil
				end, 5000, 1)				
				return
			end	
			if (string.find(email, " ")) then
				showBox(1, "O campo de e-mail não pode conter espaços!")
				clickTimer = setTimer(function()
					clickTimer = nil
				end, 5000, 1)				
				return
			end					
			triggerServerEvent("registerPlayerS", localPlayer, localPlayer, username, password, email)
		end
	end
)

function showBox(infType, infText)
	if (tonumber(infType) and infText) then
		if (tonumber(infType) == 1) then -- ERROR
			executeBrowserJavascript(guiGetBrowser(loginTexture), "showErrorBox('" .. infText .. "');")
		elseif (tonumber(infType) == 2) then -- SIKER
			executeBrowserJavascript(guiGetBrowser(loginTexture), "showSuccesBox('" .. infText .. "');")
		end
	end
end
addEvent("showBox", true)
addEventHandler("showBox", getRootElement(), showBox)